# Github Archive

A command line utility for concurrent processing and management of github event archives.

## Dependencies

1. MYSQL (For storing replica data)
2. REDIS (For processing queue persistence)

## Installation

On a OSX:

    $ brew install mysql (Follow instructions for launching)
    $ brew install redis (Follow instructions for launching)

Get the gem:

    $ gem install github-archive

## Setup Redis for Resque

    $ github-archive setup_mysql --database=DATABASE --server=SERVER --username=USERNAME
    $ github-archive setup_redis --port=PORT --server=SERVER

## Launch workers for processing github data

    $ github-archive process_archives --proc-count=PROC_COUNT

## Get Stats

    $ github-archive gh_repo_stats --after=AFTER --before=BEFORE --event=EVENT -n=N

Example:

    $ github-archive gh_repo_stats --event=WatchEvent --after=2012-12-10T04:05:06+07:00 --before=2012-12-11T04:05:06+07:00 -n=20

##

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
