# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'github/archive/version'

Gem::Specification.new do |spec|
  spec.name          = "github-archive"
  spec.version       = Github::Archive::VERSION
  spec.authors       = ["cparratto"]
  spec.email         = ["cparratto@gmail.com"]
  spec.description   = %q{Github Archive}
  spec.summary       = %q{A command line utility for concurrent processing and management of github event archives.}
  spec.homepage      = "https://github.com/cparratto/github-archive"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'thor'
  spec.add_dependency 'mysql'
  spec.add_dependency 'activerecord'
  spec.add_dependency 'yajl-ruby'
  spec.add_dependency 'resque'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "factory_girl"
  spec.add_development_dependency 'database_cleaner'
  spec.add_development_dependency "mocha"
  spec.add_development_dependency "pry"
end
