require 'spec_helper'

module Github
  module Archive
    describe ArchivedUrl do
      after(:each) do
        ArchivedUrl.delete_all
      end

      it "tracks processed urls" do
        FactoryGirl.create(:archived_url, url: 'test_url')
        ArchivedUrl.already_has?("test_url").should be_true
      end

      it "does not track unprocessed urls" do
        ArchivedUrl.already_has?("test_url").should be_false
      end
    end
  end
end